# tile_type.h File Reference

Types related to tiles. More...

Go to the source code of this file.

## Typedefs

typedef uint32 | TileIndex
| The index/ID of a Tile.

## Enumerations

enum | { TILE_SIZE = 16, TILE_UNIT_MASK = TILE_SIZE - 1, TILE_PIXELS = 32, TILE_HEIGHT = 8, MAX_TILE_HEIGHT = 15, MIN_SNOWLINE_HEIGHT = 2, DEF_SNOWLINE_HEIGHT = 7, MAX_SNOWLINE_HEIGHT = (MAX_TILE_HEIGHT - 2) }
enum | TileType { MP_CLEAR, MP_RAILWAY, MP_ROAD, MP_HOUSE, MP_TREES, MP_STATION, MP_WATER, MP_VOID, MP_INDUSTRY, MP_TUNNELBRIDGE, MP_UNMOVABLE }
| The different types of tiles. More...
enum | TropicZone { TROPICZONE_NORMAL = 0, TROPICZONE_DESERT = 1, TROPICZONE_RAINFOREST = 2 }
| Additional infos of a tile on a tropic game. More...

## Variables

static const TileIndex | INVALID_TILE = (TileIndex)-1
| The very nice invalid tile marker.

## Detailed Description

Types related to tiles.

Definition in file tile_type.h.

## Enumeration Type Documentation

anonymous enum

Enumerator:

  TILE_SIZE | Tiles are 16x16 "units" in size.
  TILE_UNIT_MASK | for masking in/out the inner-tile units.
  TILE_PIXELS | a tile is 32x32 pixels
  TILE_HEIGHT | The standard height-difference between tiles on two levels is 8 (z-diff 8).
  MAX_TILE_HEIGHT | Maximum allowed tile height.
  MIN_SNOWLINE_HEIGHT | Minimum snowline height.
  DEF_SNOWLINE_HEIGHT | Default snowline height.
  MAX_SNOWLINE_HEIGHT | Maximum allowed snowline height.

Definition at line 16 of file tile_type.h.

enum TileType

The different types of tiles.

Each tile belongs to one type, according whatever is build on it.

Note:
  A railway with a crossing street is marked as MP_ROAD.

Enumerator:

  MP_CLEAR | A tile without any structures, i.e. grass, rocks, farm fields etc.
  MP_RAILWAY | A railway.
  MP_ROAD | A tile with road (or tram tracks).
  MP_HOUSE | A house by a town.
  MP_TREES | Tile got trees.
  MP_STATION | A tile of a station.
  MP_WATER | Water tile.
  MP_VOID | Invisible tiles at the SW and SE border.
  MP_INDUSTRY | Part of an industry.
  MP_TUNNELBRIDGE | Tunnel entry/exit and bridge heads.
  MP_UNMOVABLE | Contains an object with cannot be removed like transmitters.

Definition at line 36 of file tile_type.h.

enum TropicZone

Additional infos of a tile on a tropic game.

The tropiczone is not modified during gameplay. It mainly affects tree growth. (desert tiles are visible though)

In randomly generated maps: TROPICZONE_DESERT: Generated everywhere, if there is neither water nor mountains (TileHeight >= 4) in a certain distance from the tile. TROPICZONE_RAINFOREST: Genereated everywhere, if there is no desert in a certain distance from the tile. TROPICZONE_NORMAL: Everywhere else, i.e. between desert and rainforest and on sea (if you clear the water).

In scenarios: TROPICZONE_NORMAL: Default value. TROPICZONE_DESERT: Placed manually. TROPICZONE_RAINFOREST: Placed if you plant certain rainforest-trees.

Enumerator:

  TROPICZONE_NORMAL | Normal tropiczone.
  TROPICZONE_DESERT | Tile is desert.
  TROPICZONE_RAINFOREST | Rainforest tile.

Definition at line 65 of file tile_type.h.